KDE4-CONFIG(1)

NAME
kde4-config - Gibt die Installationspfade von KDE aus

SYNOPSIS

kde4-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--types] [--path type] [--userpath type] [--install type]

BESCHREIBUNG

kde4-config ist Befehlszeilenprogramm, mit dem Informationen über die KDE-Installation oder Benutzerpfade abgerufen werden können.

Verwenden Sie dieses Programm zur Abfrage der verschiedenen Aspekte der auf Ihrem System vorliegenden KDE-Installation.

OPTIONEN

--expandvars
    ${prefix} und ${exec_prefix} bei der Ausgabe expandieren

--prefix
    Einkompiliertes prefix für KDE-Bibliotheken

--exec-prefix
    Einkompiliertes exec_prefix für KDE-Bibliotheken

--libsuffix
    Bei der Kompilierung gesetztes ``library path suffix''

--localprefix
    Präfix für das Schreiben von Dateien in $HOME.

--version
    Einkompilierte Versionszeichenkette für KDE-Bibliotheken

--types
    Ausgabe der Liste aller verfügbaren KDE-Ressourcetypen

--path Typ
    Suchpfad für den angegebenen Typ

--userpath Typ
    Benutzerpfade für die Typen: desktop|autostart|trash|document

--install Typ
    Präfix, in dem Ressourcen-Dateien abgelegt werden

BEISPIELE

Ausgabe des Basisordners der KDE-Installation:

% kde4-config --prefix

Ausgabe einer Liste aller Ressourcentypen:

% kde4-config --types

Ausgabe des Pfades des installierten Arbeitsflächenhintergrunds:

% kde4-config --path wallpaper

SIEHE AUCH

kdeoptions(7)

FEHLER

Keine bekannt.

AUTHOR
Stephan Kulow <coolo@kde.org>.